Name:                backupninja
Version:             1.1.0
Release:             1
Summary:             Lightweight, extensible backup system
License:             GPLv2
URL:                 https://0xacab.org/riseuplabs/backupninja
Source0:             https://0xacab.org/riseuplabs/backupninja/-/archive/backupninja_upstream/%{version}/backupninja-backupninja_upstream-%{version}.tar.gz#/backupninja-%{version}.tar.gz
Patch0:              backupninja-1.1.0-redhat.patch
Patch1:              backupninja-duplicity-version.patch
Patch2:              backupninja-extbackup-fix.patch
Patch3:              backupninja-1.1.0-whitespaces.patch
Patch4:              backupninja-1.1.0-dayofweek.patch
Patch5:              backupninja-1.1.0-padding.patch
BuildArch:           noarch
Requires:            cronie gawk logrotate rdiff-backup
%description
Backupninja allows you to coordinate system backup by dropping a few simple
configuration files into /etc/backup.d/. Most programs you might use for making
backups don't have their own configuration file format. Backupninja provides
a centralized way to configure and schedule many different backup utilities.
It allows for secure, remote, incremental file system backup (via rdiff-backup),
compressed incremental data, backup system and hardware info, encrypted remote
backups (via duplicity), safe backup of MySQL/PostgreSQL databases, subversion
or trac repositories, burn CD/DVDs or create ISOs, incremental rsync with
hard-linking.

%prep
%setup -q -n backupninja-backupninja_upstream-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .dupver
%patch2 -p1 -b .extbck
%patch3 -p1 -b .wspace
%patch4 -p1 -b .dayswk
%patch5 -p1 -b .paddng

%build
%configure --libdir=%{_libexecdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p -m 0750 %{buildroot}/%{_sysconfdir}/backup.d

%files
%{!?_licensedir:%global license %doc}
%{_sbindir}/backupninja
%{_sbindir}/ninjahelper
%{_libexecdir}/backupninja
%doc AUTHORS ChangeLog FAQ.md NEWS README.md TODO
%license COPYING
%config(noreplace) %{_sysconfdir}/backupninja.conf
%config(noreplace) %{_sysconfdir}/cron.d/backupninja
%config(noreplace) %{_sysconfdir}/logrotate.d/backupninja
%dir %attr(0750,root,root )%{_sysconfdir}/backup.d
%{_datadir}/backupninja
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%changelog
* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 1.1.0-1
- package init
